# Method: monetization.onetimeproducts.list

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/list#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/list#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/list#body.ListOneTimeProductsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/list#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts/list#try-it)

Lists all one-time products under a given app.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/oneTimeProducts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) for which the one-time product should be read. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of one-time product to return. The service may return fewer than this value. If unspecified, at most 50 one-time products will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `onetimeproducts.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `onetimeproducts.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for onetimeproducts.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "oneTimeProducts": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts#OneTimeProduct`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `oneTimeProducts[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.onetimeproducts#OneTimeProduct`)`` The one-time products from the specified app. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`